Skip to main content
`Ctrl`+`K`

# pixel_axis_to_physical_types

ndcube.utils.wcs.pixel_axis_to_physical_types(pixel_axis, wcs)

  Gets the world axis physical types corresponding to a pixel axis.

  Parameters:

    - pixel_axis (`int`) – The pixel axis number(s) for which the world axis numbers are desired.

    - wcs (`astropy.wcs.wcsapi.BaseLowLevelWCS`) – The WCS object defining the relationship between pixel and world axes.

  Returns:

    physical_types – The physical types corresponding to the pixel axis.

  Return type:

    `numpy.ndarray` of `str`